## AgsSolverVector

AgsSolverVector — solver vector

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_SOLVER_VECTOR_GET_OBJ_MUTEX()
gchar * | ags_solver_vector_get_source_polynomial ()
void | ags_solver_vector_set_source_polynomial ()
guint | ags_solver_vector_get_polynomial_count ()
void | ags_solver_vector_insert_polynomial ()
void | ags_solver_vector_remove_polynomial ()
AgsSolverVector * | ags_solver_vector_new ()

## Properties

guint | polynomial-count | Read
char * | source-polynomial | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsSolverVector

## Includes

    #include <ags/lib/ags_solver_vector.h>

## Description

The AgsSolverVector contains the solver vectors.

## Functions

### AGS_SOLVER_VECTOR_GET_OBJ_MUTEX()

    #define AGS_SOLVER_VECTOR_GET_OBJ_MUTEX(obj) (&(((AgsSolverVector *) obj)->obj_mutex))

### ags_solver_vector_get_source_polynomial ()

    gchar *
    ags_solver_vector_get_source_polynomial
                                   (AgsSolverVector *solver_vector);

Get source polynomial of `solver_vector` .

#### Parameters

solver_vector | the AgsSolverVector |

#### Returns

the source polynomial

Since: 3.9.3

### ags_solver_vector_set_source_polynomial ()

    void
    ags_solver_vector_set_source_polynomial
                                   (AgsSolverVector *solver_vector,
                                    gchar *source_polynomial);

Set `source_polynomial` of `solver_vector` .

#### Parameters

solver_vector | the AgsSolverVector |
source_polynomial | the source polynomial |

Since: 3.9.3

### ags_solver_vector_get_polynomial_count ()

    guint
    ags_solver_vector_get_polynomial_count
                                   (AgsSolverVector *solver_vector);

Get polynomial count of `solver_vector` .

#### Parameters

solver_vector | the AgsSolverVector |

#### Returns

the polynomial count

Since: 3.9.3

### ags_solver_vector_insert_polynomial ()

    void
    ags_solver_vector_insert_polynomial (AgsSolverVector *solver_vector,
                                         AgsSolverPolynomial *solver_polynomial,
                                         gint position);

Insert `solver_polynomial` to `solver_vector` .

#### Parameters

solver_vector | the AgsSolverVector |
solver_polynomial | the AgsSolverPolynomial |
position | the position |

Since: 3.2.0

### ags_solver_vector_remove_polynomial ()

    void
    ags_solver_vector_remove_polynomial (AgsSolverVector *solver_vector,
                                         AgsSolverPolynomial *solver_polynomial);

Remove `solver_polynomial` from `solver_vector` .

#### Parameters

solver_vector | the AgsSolverVector |
solver_polynomial | the AgsSolverPolynomial |

Since: 3.2.0

### ags_solver_vector_new ()

    AgsSolverVector *
    ags_solver_vector_new ();

Instantiate a new AgsSolverVector.

#### Returns

the new instance

Since: 3.0.0

## Property Details

### The `“polynomial-count”` property

      “polynomial-count”         guint

The polynomial count of the term table.

Owner: AgsSolverVector

Flags: Read

Default value: 0

Since: 3.9.3

### The `“source-polynomial”` property

      “source-polynomial”        char *

The assigned source-polynomial.

Owner: AgsSolverVector

Flags: Read / Write

Default value: NULL

Since: 3.9.3